unit Main;

interface

uses
  Windows, Forms, ShellAPI, StdCtrls, Menus, Classes, Controls,
  AnimationEffect;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    GroupBox1: TGroupBox;
    RandomBtn: TButton;
    SpinBtn: TButton;
    VortexBtn: TButton;
    ScatterGatherBtn: TButton;
    SpikeBtn: TButton;
    FireworksBtn: TButton;
    Effects1: TMenuItem;
    Random1: TMenuItem;
    Spin1: TMenuItem;
    Vortex1: TMenuItem;
    ScatterGather1: TMenuItem;
    Spike1: TMenuItem;
    Fireworks1: TMenuItem;
    Button1: TButton;
    Label1: TLabel;
    Label2: TLabel;
    AnimationEffect1: TAnimationEffect;
    procedure RandomBtnClick(Sender: TObject);
    procedure SpinBtnClick(Sender: TObject);
    procedure VortexBtnClick(Sender: TObject);
    procedure ScatterGatherBtnClick(Sender: TObject);
    procedure SpikeBtnClick(Sender: TObject);
    procedure FireworksBtnClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses DemoForm;

{$R *.DFM}

procedure TForm1.RandomBtnClick(Sender: TObject);
begin
  with Demo do
   begin
    AE.EffectType := etRandom;
    // AE.Open; // You can call Open method to show open effect manually
    ShowModal;
    // AE.Close; // or call Close method to show hiding effect... 
   end;
end;

procedure TForm1.SpinBtnClick(Sender: TObject);
begin
  with Demo do
   begin
    AE.EffectType := etSpin;
    ShowModal;
   end;
end;

procedure TForm1.VortexBtnClick(Sender: TObject);
begin
  with Demo do
   begin
    AE.EffectType := etVortex;
    ShowModal;
   end;
end;

procedure TForm1.ScatterGatherBtnClick(Sender: TObject);
begin
  with Demo do
   begin
    AE.EffectType := etScatterGather;
    ShowModal;
   end;
end;

procedure TForm1.SpikeBtnClick(Sender: TObject);
begin
  with Demo do
   begin
    AE.EffectType := etSpike;
    ShowModal;
   end;
end;

procedure TForm1.FireworksBtnClick(Sender: TObject);
begin
  with Demo do
   begin
    AE.EffectType := etFireworks;
    ShowModal;
   end;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  ShellExecute(GetDesktopWindow, 'open', 'http://www.appcontrols.com/order/animationeffect.html', nil, nil, SW_SHOWNORMAL);
end;

end.
